using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace KstCMS.BLL.SiteBLL
{
    public class SysMenu:BaseBLL
    {
        private KstCMS.DAL.ISysMenu ISysMenu;
        public SysMenu()
        {
            if (DBType == "1")
                ISysMenu = new KstCMS.DAL.OleDB.SysMenu();
            //else  //SQL数据库访问层
        }

        public int Add(KstCMS.Model.SiteModel.SysMenu Model)
        {
            return ISysMenu.Add(Model);
        }

        public void Delete(string Menu_Id)
        {
            ISysMenu.Delete(Menu_Id);
        }

        public void Update(KstCMS.Model.SiteModel.SysMenu Model)
        {
            ISysMenu.Update(Model);
        }

        public KstCMS.Model.SiteModel.SysMenu GetModel(string Menu_id)
        {
            return ISysMenu.GetModel(Menu_id);
        }

        public System.Data.DataSet GetList()
        {
            return ISysMenu.GetList(string.Empty, string.Empty, 0);
        }

        public System.Data.DataSet GetList(string strWhere,string StrOrderBy,int Top,params string[] FieldNames)
        {
            return ISysMenu.GetList(strWhere, StrOrderBy, Top, FieldNames);
        }


        public bool Exists(string Menu_id)
        {
            return ISysMenu.Exists(Menu_id);
        }

    }
}
